package lcsb.mapviewer.api.configuration;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import lcsb.mapviewer.api.BaseController;
import lcsb.mapviewer.services.SecurityException;
import lcsb.mapviewer.services.view.ConfigurationView;

@RestController
@RequestMapping("/configuration")
public class ConfigurationController extends BaseController {
	@Autowired
	private ConfigurationRestImpl configurationController;

	@RequestMapping(value = "/getAllValues", method = { RequestMethod.GET, RequestMethod.POST }, produces = { MediaType.APPLICATION_JSON_VALUE })
	public List<ConfigurationView> getAllValues(@RequestParam(value = "token") String token)
			throws SecurityException {
		return configurationController.getAllValues(token);
	}

	/**
	 * @return the configurationController
	 * @see #configurationController
	 */
	public ConfigurationRestImpl getConfigurationController() {
		return configurationController;
	}

	/**
	 * @param configurationController the configurationController to set
	 * @see #configurationController
	 */
	public void setConfigurationController(ConfigurationRestImpl configurationController) {
		this.configurationController = configurationController;
	}

}